import java.util.*;

public class FirstQuizSet {
	public static ArrayList both(ArrayList xs, ArrayList ys) {
		ArrayList bothList = (ArrayList) xs.clone();
		Object y = null;
		Iterator elems = ys.iterator();
		while (elems.hasNext()) {
			y = elems.next();
			if (!xs.contains(y))
				bothList.add(y);
		}
		return bothList;
	}

	public static ArrayList either(ArrayList xs, ArrayList ys) {
		ArrayList eitherList = new ArrayList();
		Object y = null;
		Iterator elems = ys.iterator();
		while (elems.hasNext()) {
			y = elems.next();
			if (xs.contains(y))
				eitherList.add(y);
		}
		return eitherList;
	}

	public static ArrayList toArrayList(int[] xs) {
		ArrayList ys = new ArrayList();
		for (int i = 0; i < xs.length; i++)
			ys.add(new Integer(xs[i]));
		return ys;
	}

	public static void main(String[] args) {
		int[] xVec = { 1, 3, 4, 5, 6, 9, 7 };
		int[] yVec = { 4, 5, 8, 9, 10, 15, -1 };
		ArrayList xs = toArrayList(xVec);
		ArrayList ys = toArrayList(yVec);
		System.out.println(both(xs, ys));
		System.out.println(either(xs, ys));
	}
}
