import java.util.ArrayList;

import junit.framework.TestCase;

public class FirstQuizSetTest extends TestCase {
	private FirstQuizSet quizSet;
	private ArrayList ys;
	private ArrayList xs;
	@Override
	protected void setUp() throws Exception {
		quizSet = new FirstQuizSet();
		ys = new ArrayList();
		xs = new ArrayList();
		super.setUp();
	}
	public void testBoth() {
		xs.add("1");
		ys.add("2");
		ArrayList both = quizSet.both(xs, ys);
		assertTrue(both.contains("1"));
		assertTrue(both.contains("2"));
	}
	public void testOrder() {
		xs.add("1");
		ys.add("2");
		ArrayList both = quizSet.both(xs, ys);
		assertTrue(both.contains("1"));
		assertTrue(both.contains("2"));
		String string = both.toString();
		assertEquals("[1, 2]", string);
	}
}
